Articles of Совместимость с

Изменение слоя LayerDrawable на Android 2.3 .X (Gingerbread) и ниже

У меня есть следующий LayerDrawable : <?xml version="1.0" encoding="utf-8"?> <layer-list xmlns:android="http://schemas.android.com/apk/res/android" > <item android:id="@+id/image_source" android:bottom="6dp" android:drawable="@drawable/default" android:left="14dp" android:right="14dp" android:top="6dp"> </item> <item android:drawable="@drawable/metaphor_photo_portrait"/> </layer-list> по <?xml version="1.0" encoding="utf-8"?> <layer-list xmlns:android="http://schemas.android.com/apk/res/android" > <item android:id="@+id/image_source" android:bottom="6dp" android:drawable="@drawable/default" android:left="14dp" android:right="14dp" android:top="6dp"> </item> <item android:drawable="@drawable/metaphor_photo_portrait"/> </layer-list> Мне нужно иметь возможность динамически поддерживать изображение в файле @+id/image_source из кода. Я успешно […]

Приложение Android не может быть помещено в магазин Amazon?

Я пытаюсь поместить мое приложение в магазин amazon, но я получаю следующую ошибку: * YOUR_APP не устанавливает на Kindle Fire. Пожалуйста, обратитесь к FAQ по Kindle Fire для получения списка совместимых разрешений, указанных в вашем файле манифеста Android, поскольку это может вызвать проблемы с установкой вашего приложения на Kindle Fire. Если в вашем приложении в […]

Почему для Blackberry и Android SDK нужны старые версии Eclipse IDE?

Я подумал, что вам нужно это делать только для ежевики, но, смотря видео с YouTube, вы начинаете работу с Android, в нем говорится, что вам нужен Eclipse Galileo (3.5.x). Мой вопрос заключается в том, что есть какая-то техническая причина, почему этот SDK-simpy не может поддерживать совместимость с более новыми версиями Eclipse. Есть ли причина для […]

Невозможно импортировать ActionBar в Android-приложение с обратной совместимостью

У меня есть приложение для Android, которое предназначено для API 17 и имеет минимальную версию SDK версии 8. Я не заинтересован в предоставлении ActionBar на устройствах с Android API <11, но я бы хотел использовать на устройствах под управлением Android> = 3.0 , Просмотрев stackoverflow, чтобы узнать, как это сделать, я наткнулся на этот вопрос: […]

Проблемы совместимости приложений для Android с Nexus 6

Для поддержки размера экрана и плотности Nexus 6 в моем манифесте есть следующее: <compatible-screens> <screen android:screenSize="normal" android:screenDensity="560" /> <screen android:screenSize="large" android:screenDensity="560" /> <screen android:screenSize="xlarge" android:screenDensity="560" /> </compatible-screens> Полный список значений в моем манифесте приведен ниже. Google Play говорит, что мое приложение несовместимо. Не уверен, что мне здесь не хватает. <compatible-screens> <screen android:screenSize="normal" android:screenDensity="xhdpi" /> <screen […]

Что такое обратная совместимость в Android Studio?

Я новичок в Android Development. Несмотря на то, что я упоминал сайт разработчика Android, я не понял. В диалоговом окне «Настройка активности», когда я Backwards Compatiblity(Appcompat) « Backwards Compatiblity(Appcompat) в Android Studio 2.3.1, он дал мне подсказку: Если false, этот базовый класс активности будет Activity, а не AppCompatActivity Как правило, что предпочитают разработчики Android? Возможность […]

Отключить аппаратное ускорение, обратную совместимость

У меня проблема с функцией ( setLayerType(LAYER_TYPE_NONE, null) ), доступной в api> = 11, и мой код должен работать на android 1.6 (API level 4) тоже. Я попытался использовать такое отражение следующим образом: try { Method method = View.class.getMethod("setLayerType", Integer.TYPE, null); method.invoke(LAYER_TYPE_NONE, null); view.setLayerType(LAYER_TYPE_NONE, null); } catch (Throwable e) { Log.e("_________________test", "Function not found"); } […]

Приложение не совместимо с устройством, которое я использую для его разработки?

Я разработал и протестировал свое приложение с помощью различных эмуляторов телефонов и планшетов, а также 4 реальных устройства: Samsung Galaxy Ace (GT-I8160P), Samsung Galaxy Tab 2 (GT-P5110 и GT-P3110) и Storex M977. После 5 месяцев работы и тестирования приложение прекрасно работает на всех этих устройствах. Поэтому я загрузил его в Google Play. Но Google Play […]

Как узнать, где на SD-карте хранятся изображения, DCIM / Camera, DCIM / 100MEDIA?

У меня есть метод в моем приложении, который извлекает последнее сохраненное изображение в папке DCIM/Camera и копирует его в другое место на SD-карте. Я только что протестировал его на другом телефоне и обнаружил, что он по умолчанию сохраняет в DCIM/100MEDIA . Как я могу получить этот путь? Я закончил тем, что написал код, который зациклился […]

Как создать вкладки, такие как Twitter или Instagram, для работы на всех платформах Android> 2.2

Я прочитал некоторые статьи здесь. Как создать вкладки Android, подобные этому (снимок экрана)? Позже в комментариях есть sherlock lib, который приносит 4.0 взгляд на устройства с Android 2.2. Моя проблема в том, что я пытаюсь сделать «уродливый» 🙂 старый взгляд для работы на новых устройствах. Что-то вроде изображения: Поэтому я бы хотел иметь вкладки, никаких […]